LIBVDEPLUG_VXLAN(1)

NAME
libvdeplug_vxlan - vxlan vdeplug module

SYNOPSIS
libvdeplug_vxlan.so

DESCRIPTION
This is the libvdeplug module to join vxlan networks. Only one process per host can join each vxlan network.

This module of libvdeplug4 can be used in any program supporting vde like vde_plug, kvm, qemu, user-mode-linux and virtualbox.

The vde_plug_url syntax of this module is the following:
    vxlan://[multicast_addr][/OPTION][/OPTION]

If multicast_addr is omitted libvdeplug_vxlan uses the default addresses: 239.0.0.1 for IPv4 and ff05:56de::1 for IPv6.

OPTIONS

v4  use IPv4

v6  use IPv6

port= PORT
    define the multicast port (default value 4789)

vni= VNI
    define the virtual network identifier (default value 1)

ttl= TTL
    define the time-to-live (default value 1). hashsize=HASHSIZE set the size of the hash table for packet switching

expiretime=EXPIRETIME
    set the maximum age in seconds of valid packet switching entries

if=INTERFACE
    set the (real) network interface to use.

EXAMPLES
vxlan://239.0.0.1
This vde_plug_url refers to the vxlan network defined on the multicast address 239.0.0.1, vni=1.

Programs using
vxlan://ff15::3/port=12345/vni=42
join the same vxlan network defined by the multicast address ff15::1, port 12345, vni is 42.

NOTICE
Virtual Distributed Ethernet is not related in any way with www.vde.com ("Verband der Elektrotechnik, Elektronik und Informationstechnik" i.e. the German "Association for Electrical, Electronic & Information Technologies").

SEE ALSO
vde_plug(1),